Skip to navigation

List receivers (deprecated)

Deprecated

This is an older alias of GET /receiver, kept so existing integrations keep working. It behaves identically. Use /receiver for new integrations.

Retrieve a paged list of receiver shipment quality, time, and identification data, along with item skus, descriptions, and quantities.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Headers

RushOrderMomCodestringRequired
All requests require the header to contain RushOrderMomCode, a 3 character string that represents the client internally in Rush Order. This should be given to you by Rush Order.

Query parameters

poRefstringOptional
The PO reference number of the received shipment. Exact match.
pagedoubleOptional
The page number.
pageSizedoubleOptional
The amount of items per page.
startDatedatetimeOptional
The earliest possible received date and time.
endDatedatetimeOptional
The latest possible received date and time.

Response

Success
PageSizedoubleOptional
PagedoubleOptional
LastPagedoubleOptional
TotaldoubleOptional
CountdoubleOptional
SuccessbooleanOptional
ErrorstringOptional
MessagestringOptional
Datalist of objectsOptional

Errors

401
Unauthorized Error